Skip to content
WP Engine Documentation

List report schedules

GET
/site_reports/schedules
curl --request GET \
--url 'https://api.wpengineapi.com/v1/site_reports/schedules?site_id=example' \
--header 'Authorization: Basic <credentials>'

Description

Reports can be scheduled to run monthly, weekly, or every two weeks. This endpoint returns all active report schedules for a given site, allowing you to manage and monitor when reports are generated automatically.

For monthly scheduling, set the Unit to MONTHLY and set the Frequency Value to the day of the month (1-31) when you want the report to run. For example, Unit = MONTHLY and Frequency Value = 15 will run the report on the 15th of every month. If you set a report to run on the 29th, 30th, or 31st and that date doesn’t exist in a given month, the report will run on the last day of that month. For instance, designating the 31st will result in the report running on February 28th (or 29th in leap years).

For weekly or bi-weekly scheduling, set the Unit to DAYS and then set the Frequency Value to 7 for weekly reports or 14 for reports to run every two weeks. The day of the week is determined by the next_scheduled_date value. For example, if the next_scheduled_date is a Tuesday and the Frequency Value is 7, then the report will run each week on Tuesday.

site_id
required
string format: uuid

Filter schedules by site ID

OK

Media type application/json
object
schedules

List of configured report schedules

Array<object>
object
title

Title of the scheduled report

string
next_scheduled_date

Next date when the report will be automatically generated

string format: date-time
frequency

Report generation frequency configuration

object
value

Frequency value. For DAYS, value is 7 or 14. For MONTHLY, value is the day of the month (1-31).

integer
unit

Frequency unit. DAYS indicates a Weekly or Bi-Weekly schedule. MONTHLY indicates a monthly schedule.

string
Allowed values: DAYS MONTHLY
recipients

People who will receive the scheduled reports

Array<object>
object
name

Name of the recipient

string
email

Email address of the recipient

string format: email
sections

Report sections included in the schedule

Array<object>
object
name

Section identifier

string
uuid

Unique identifier for the schedule

string format: uuid
template_uuid

UUID of the report template used for this schedule

string format: uuid
branding

Branding configuration applied to the report

object
uuid

Unique identifier for the branding configuration

string format: uuid
company_name

Company name displayed on the report

string
brand_color

Hex value of the color used on the report coversheet

string
logo_url

URL of the company logo image

string format: uri
image_preview_url

URL of the template preview image

string format: uri
Example
{
"schedules": [
{
"title": "Weekly Site Report",
"next_scheduled_date": "2026-06-18T00:00:00Z",
"frequency": {
"value": 7,
"unit": "DAYS"
},
"recipients": [
{
"name": "Jane Smith",
"email": "user@example.com"
}
],
"sections": [
{
"name": "cover"
}
],
"uuid": "ed0f66dd-1a0a-4e87-919d-945b08bc230d",
"template_uuid": "9fe01285-87cc-405b-9f2f-02cc1316bb63",
"branding": {
"uuid": "1ed3eaa4-b1d6-4b9f-96e5-9054c3cdaafd",
"company_name": "My Agency",
"brand_color": "#FF0000",
"logo_url": "https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/logo.png",
"image_preview_url": "https://storage.googleapis.com/sites_reports_template_preview_and_logo_images_bucket/preview.png"
}
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json